Bug 113294 - Preview of 'Spiral In', 'Falling In', and 'Sling' custom animations go out of document area (gtk2 only)
Summary: Preview of 'Spiral In', 'Falling In', and 'Sling' custom animations go out of...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: GTK2 Custom-Animations
  Show dependency treegraph
 
Reported: 2017-10-20 13:55 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-30 11:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample (18.43 KB, application/vnd.oasis.opendocument.presentation)
2017-10-20 13:55 UTC, Yousuf Philips (jay) (retired)
Details
black bars appearing in the slide pane and toolbar (101.15 KB, image/png)
2017-10-20 13:56 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-20 13:55:15 UTC
Created attachment 137147 [details]
sample

steps:
1. open sample file
2. switch sidebar to custom animation deck
3. select animation having 'entrance: spiral in'
4. click play button at bottom of deck
5. notice UI corruption outside of the document area
6. do the same with the animation having 'entrance: sling'

Version: 6.0.0.0.alpha1+
Build ID: 143c482b3189cb084fbdf5e6f78f15b43f099e24
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Yousuf Philips (jay) (retired) 2017-10-20 13:56:19 UTC
Created attachment 137148 [details]
black bars appearing in the slide pane and toolbar
Comment 2 Yousuf Philips (jay) (retired) 2017-10-20 14:23:28 UTC
Didnt happen on windows, so likely a linux only issue and it only happens in gtk2.

So this was my system in comment 0
Linux Mint 18 Mate
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) G33 
OpenGL version string: 1.4 Mesa 11.2.0

Also happens on my laptop
Ubuntu Mate 16.04
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Ivybridge Mobile 
OpenGL core profile version string: 3.3 (Core Profile) Mesa 17.0.7
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 17.0.7
OpenGL shading language version string: 1.30
Comment 3 raal 2017-10-29 20:03:12 UTC
I can confirm with Version: 6.0.0.0.alpha0+
Build ID: afeff9102c2935139de4efd40fd2286dce396706
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_23:32:41

no problem on gtk3
Comment 4 QA Administrators 2018-10-30 03:56:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug